> ## Documentation Index
> Fetch the complete documentation index at: https://docs.payments.bob.company/llms.txt
> Use this file to discover all available pages before exploring further.

# Get customer by ID

> Retorna um cliente específico por ID.



## OpenAPI

````yaml GET /api/v1/customers/{id}
openapi: 3.0.3
info:
  title: Bob Payments API
  description: >-
    API de pagamentos Bob Payments para criar, acompanhar e conciliar transações
    com PIX e cartão de crédito.
  version: 1.0.0
servers:
  - url: https://api.payments.bob.company
    description: Servidor de produção
security: []
paths:
  /api/v1/customers/{id}:
    get:
      summary: Buscar cliente por ID
      description: Retorna um cliente específico por ID.
      parameters:
        - schema:
            type: string
            format: cuid
            pattern: ^[cC][^\s-]{8,}$
          in: path
          name: id
          required: true
      responses:
        '200':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                  data:
                    type: object
                    properties:
                      id:
                        type: string
                      projectId:
                        type: string
                      name:
                        type: string
                      document:
                        type: string
                      phone:
                        type: string
                      email:
                        type: string
                      street:
                        type: string
                      streetNumber:
                        type: string
                      neighborhood:
                        type: string
                      complement:
                        nullable: true
                        type: string
                      zipCode:
                        type: string
                      city:
                        type: string
                      state:
                        type: string
                      country:
                        type: string
                      isBlocked:
                        type: boolean
                      blockedAt:
                        nullable: true
                        type: string
                      blockedReason:
                        nullable: true
                        type: string
                      blockExpiresAt:
                        nullable: true
                        type: string
                      blockType:
                        nullable: true
                        type: string
                      createdAt:
                        type: string
                      updatedAt:
                        type: string
                      recentTransactions:
                        type: array
                        items:
                          type: object
                          properties:
                            id:
                              type: string
                            amountCents:
                              type: number
                            status:
                              type: string
                            product:
                              type: string
                            createdAt:
                              type: string
                            paidAt:
                              nullable: true
                              type: string
                          required:
                            - id
                            - amountCents
                            - status
                            - product
                            - createdAt
                            - paidAt
                          additionalProperties: false
                      totalTransactions:
                        type: number
                      fraudEvents:
                        type: array
                        items:
                          type: object
                          properties:
                            id:
                              type: string
                            reason:
                              type: string
                            fraudType:
                              nullable: true
                              type: string
                            amountCents:
                              nullable: true
                              type: number
                            product:
                              nullable: true
                              type: string
                            createdAt:
                              type: string
                          required:
                            - id
                            - reason
                            - fraudType
                            - amountCents
                            - product
                            - createdAt
                          additionalProperties: false
                    required:
                      - id
                      - projectId
                      - name
                      - document
                      - phone
                      - email
                      - street
                      - streetNumber
                      - neighborhood
                      - complement
                      - zipCode
                      - city
                      - state
                      - country
                      - isBlocked
                      - blockedAt
                      - blockedReason
                      - blockExpiresAt
                      - blockType
                      - createdAt
                      - updatedAt
                      - recentTransactions
                      - totalTransactions
                      - fraudEvents
                    additionalProperties: false
                required:
                  - success
                  - data
                additionalProperties: false
        '400':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  type:
                    type: string
                  title:
                    type: string
                  status:
                    type: integer
                    minimum: 400
                    maximum: 599
                  detail:
                    type: string
                  instance:
                    type: string
                  details:
                    type: object
                    additionalProperties: {}
                required:
                  - type
                  - title
                  - status
                  - detail
                  - instance
                additionalProperties: false
        '404':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  type:
                    type: string
                  title:
                    type: string
                  status:
                    type: integer
                    minimum: 400
                    maximum: 599
                  detail:
                    type: string
                  instance:
                    type: string
                  details:
                    type: object
                    additionalProperties: {}
                required:
                  - type
                  - title
                  - status
                  - detail
                  - instance
                additionalProperties: false
        '429':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  type:
                    type: string
                  title:
                    type: string
                  status:
                    type: integer
                    minimum: 400
                    maximum: 599
                  detail:
                    type: string
                  instance:
                    type: string
                  details:
                    type: object
                    additionalProperties: {}
                required:
                  - type
                  - title
                  - status
                  - detail
                  - instance
                additionalProperties: false
        '500':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  type:
                    type: string
                  title:
                    type: string
                  status:
                    type: integer
                    minimum: 400
                    maximum: 599
                  detail:
                    type: string
                  instance:
                    type: string
                  details:
                    type: object
                    additionalProperties: {}
                required:
                  - type
                  - title
                  - status
                  - detail
                  - instance
                additionalProperties: false
      security:
        - ApiKeyAuth: []
        - BearerAuth: []
components:
  securitySchemes:
    ApiKeyAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key
      description: >-
        Autenticação por API Key usando token SK (sk_live_xxx ou sk_test_xxx).
        Envie como: Authorization: Bearer sk_live_xxx
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: Token JWT para endpoints autenticados do dashboard

````